//终端版本管理
import request from '@/utils/request'

export default {
    //查询终端程序版本主列表
    getList(data) {
        return request({
            url: '/device-boot/version/getTerminalVersionList',
            method: 'post',
            data: data,
        })
    },
    //查询终端程序版本升级日志
    getTerminalUpLog(data) {
        return request({
            url: '/device-boot/version/getTerminalUpLog',
            method: 'post',
            params: data,
        })
    },

    //版本维护

    //查询版本维护主列表
    getVersionList(data) {
        return request({
            url: '/device-boot/programVersion/getProgramVersion',
            method: 'post',
            data: data,
        })
    },

    //添加版本
    addVersion(data) {
        return request({
            url: '/device-boot/programVersion/addProgramVersion',
            method: 'post',
            data: data,
        })
    },

    //修改版本
    updateVersion(data) {
        return request({
            url: '/device-boot/programVersion/updateProgramVersion',
            method: 'post',
            data: data,
        })
    },

    //添加版本
    delVersion(data) {
        return request({
            url: '/device-boot/programVersion/delProgramVersion',
            method: 'post',
            data: data,
        })
    },
}